Contacts importer plugin for Elgg 1.8.X v3.183

Release Notes

For Elgg 1.8.3

Fix for the bugs reported by Flexx. Thanks for the reporting, Flexx.

  • I'm trying to use self hosted openinviter lib. Are the installation steps still the same? When running postinstall.php everything in the first steps is OK.
    Then all the plugins except for twitter say "Checking AOL... *NOT OK* - This plugin might not work correctly on your system"

  • @all : if you are having issues regarding some service providers, first check the status of these service providers in openinivter website. Only thing you have to make sure is, you followed the installation correctly.

    @DV : make sure you are using latest version of vendor library. If still not working, post it to openinviter forums.

  • Hi

         Which Openinviter need to download i didn't find for elgg please give me the correct link or name of the link

  • @RAJ :  a readme is included in the download package. Take a look at it.

  • Hi

            There is lot of version listed and hosted version is showed which one i need to download ?

  • adc

    this fails on elgg 1.8.15

  • Hi, I'm wondering.. Does the pro version legal ? (with the gpl license). Because the plugin is fully integrated with the elgg plateform (i.e. plugins and core are not separated products), and, according to the gpl license; if one part is gpl, then all code has to be gpl. This is no critic, just curiosity.

    Thanks

  • The 'openinviter' zip file is broken and can't be extracted/openned...why do they have to screw around with proprietary .tar files and such?  What a pain...had to download another Zip program to extract it and the file is broken anyway!  Waste of almost 2 hours.

  • adc

    same issue as @Asmarino. now running elgg 1.8.16

  • I'm also unable to get this working on 1.8.16 out of the box.

    Completed the postinstall.php - email provider list is completely empty

  • For anyone else looking at this - the instructions are a bit off

    1. install script is located at [url]/mod/importer/vendors/openiviter/postinstall.php

    2. You need to ensure you have the GENERAL openinviter package

  • Though it still doesn't work - getting 'Unable to create the stats database'

  • @webgalli have you been able to get this working in recent versions of Elgg?  If so can you please provide some updated instructions please?

    I manually changed the config.php and set stats to false, which cleared up that error, and was able to get it attempting to authenticate however it consistently fails despite correct credentials and my test facebook page got locked for suspicious activity with a login attempt from Florida (the server is nowhere near Florida, I suppose this may have been coincidental timing but it was to the minute timing).

  • @Matt: I havent tested this with any recent versions of elgg, mainly because the openinvite lib is totally unreliable. It works some times, but not always. Also many of the service providers will block the access especially when you have 2 factor authentication etc enabled for your account. I am using the hybridauth/oauth libraries to import the user contacts in our sites. Its much easy and the recommended method.

    Regarding the florida issue: in my experience, the location matches with the location of the server (especially when trying to connect via gmail). This is also another reason for the service provider to block your login. 

    - Aqeel M

  • Thanks Aqeel.

    I don't suppose you have a hybridauth/oauth plugin for this that's publicly available eh?

  • Any working solution yet?

     

Team Webgalli

Leading Elgg developers India. We provide Elgg development, consultation and optimizations. To know more about our Elgg services and for cool elgg stuffs visit us

Stats

  • Category: Third Party integrations
  • License: GNU General Public License (GPL) version 2
  • Updated: 2014-11-17
  • Downloads: 6121
  • Recommendations: 17

Other Projects

View Team Webgalli's plugins